Package com.gpudb.protocol
Class AggregateGroupByRequest.Options
java.lang.Object
com.gpudb.protocol.AggregateGroupByRequest.Options
Enclosing class:
A set of string constants for the
AggregateGroupByRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIndicates that the returned values should be sorted in ascending order.static final StringIndicates the target maximum data size for each column in a chunk to be used for the result table.static final StringIndicates the target maximum data size for all columns in a chunk to be used for the result table.static final StringIndicates the number of records per chunk to be used for the result table.static final String[DEPRECATED—please specify the containing schema as part ofRESULT_TABLEand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the table specified inRESULT_TABLE.static final StringThe default compression codec for the result table’s columns.static final StringComma-separated list of columns on which to create indexes on the result table.static final StringIfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofRESULT_TABLE.static final StringThis option is used to specify the multidimensional aggregates.static final StringIndicates that the returned values should be sorted in descending order.static final StringFilter expression to apply to the table prior to computing the aggregate group by.static final Stringstatic final StringCustomize the grouping attribute sets to compute the aggregates.static final StringUse hash partitioning.static final StringFilter expression to apply to the aggregated results.static final Stringstatic final StringIfTRUE, a new partition will be created for values which don’t fall into an existing partition.static final StringIndicates that the returned values should be sorted by key, which corresponds to the grouping columns.static final StringUse list partitioning.static final StringComma-separated list of the columns to be sorted by as well as the sort direction, e.g., ‘timestamp asc, x desc’.static final StringComma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE.static final StringComma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.static final StringPartitioning scheme to use for the result table.static final StringEvaluate the group-by during last JoinedSet filter plan step.static final StringPivot column.static final StringComma-separated list of the values in thePIVOTcolumn.static final StringUse range partitioning.static final StringThe name of a table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria.static final StringForce the result table to be replicated (ignores any sharding).static final StringIfTRUEthen set a primary key for the result table.static final StringIfTRUEthen set a soft primary key for the result table.static final StringIfTRUE, then the result table specified inRESULT_TABLEwill be persisted and will not expire unless aTTLis specified.static final StringThis option is used to specify the multilevel aggregates.static final StringUse series partitioning.static final StringComma-separated list of the columns to be sharded on; e.g. ‘column1, column2’.static final String[DEPRECATED—use order_by instead] String determining how the results are sorted.static final String[DEPRECATED—use order_by instead] String indicating how the returned values should be sorted - ascending or descending.static final StringThe tier strategy for the table and its columns.static final Stringstatic final StringSets the TTL of the table specified inRESULT_TABLE.static final StringIndicates that the returned values should be sorted by value, which corresponds to the aggregates.static final StringID of view of which the result table will be a member.
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofRESULT_TABLE. IfRESULT_TABLE_PERSISTisFALSE(or unspecified), then this is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_RESULT_TABLE_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema as part ofRESULT_TABLEand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the table specified inRESULT_TABLE. If the schema provided is non-existent, it will be automatically created.See Also:SORT_ORDER
[DEPRECATED—use order_by instead] String indicating how the returned values should be sorted - ascending or descending. Supported values:ASCENDING: Indicates that the returned values should be sorted in ascending order.DESCENDING: Indicates that the returned values should be sorted in descending order.
ASCENDING.See Also:SORT_BY
[DEPRECATED—use order_by instead] String determining how the results are sorted. Supported values:KEY: Indicates that the returned values should be sorted by key, which corresponds to the grouping columns. If you have multiple grouping columns (and are sorting by key), it will first sort the first grouping column, then the second grouping column, etc.VALUE: Indicates that the returned values should be sorted by value, which corresponds to the aggregates. If you have multiple aggregates (and are sorting by value), it will first sort by the first aggregate, then the second aggregate, etc.
VALUE.See Also:RESULT_TABLE
The name of a table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria. Column names (group-by and aggregate fields) need to be given aliases e.g. [“FChar256 as fchar256”, “sum(FDouble) as sfd”]. If present, no results are returned in the response. This option is not available if one of the grouping attributes is an unrestricted string (i.e.; not charN) type.See Also:RESULT_TABLE_PERSIST
IfTRUE, then the result table specified inRESULT_TABLEwill be persisted and will not expire unless aTTLis specified. IfFALSE, then the result table will be an in-memory table and will expire unless aTTLis specified otherwise. Supported values:The default value isFALSE.See Also:CHUNK_SIZE
Indicates the number of records per chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also:CHUNK_COLUMN_MAX_MEMORY
Indicates the target maximum data size for each column in a chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also:CHUNK_MAX_MEMORY
Indicates the target maximum data size for all columns in a chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also:CREATE_INDEXES
Comma-separated list of columns on which to create indexes on the result table. Must be used in combination with theRESULT_TABLEoption.See Also:PARTITION_TYPE
Partitioning scheme to use for the result table. Supported values:RANGE: Use range partitioning.INTERVAL: Use interval partitioning.LIST: Use list partitioning.HASH: Use hash partitioning.SERIES: Use series partitioning.
See Also:PARTITION_KEYS
Comma-separated list of partition keys, which are the columns or column expressions by which records will be assigned to partitions defined byPARTITION_DEFINITIONS.See Also:PARTITION_DEFINITIONS
Comma-separated list of partition definitions, whose format depends on the choice ofPARTITION_TYPE. See range partitioning, interval partitioning, list partitioning, hash partitioning, or series partitioning for example formats.See Also:GROUPING_SETS
Customize the grouping attribute sets to compute the aggregates. These sets can include ROLLUP or CUBE operators. The attribute sets should be enclosed in parentheses and can include composite attributes. All attributes specified in the grouping sets must present in the group-by attributes.See Also:SHARD_KEY
Comma-separated list of the columns to be sharded on; e.g. ‘column1, column2’. The columns specified must be present incolumnNames. If any alias is given for any column name, the alias must be used, rather than the original column name. The default value is ”.See Also: